digiKam Developer Documentation: Digikam::SearchGroup Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::SearchGroup Class Reference
Inheritance diagram for Digikam::SearchGroup:

## Public Types
enum | Type { FirstGroup , ChainGroup }

## Signals
void | removeRequested ()

## Public Member Functions
| SearchGroup (SearchView *const parent)
Type | groupType () const
void | read (SearchXmlCachingReader &reader)
void | reset ()
void | setup (Type type=FirstGroup)
QList< QRect > | startupAnimationArea () const
void | write (SearchXmlWriter &writer)
Public Member Functions inherited from Digikam::AbstractSearchGroupContainer
| AbstractSearchGroupContainer (QWidget *const parent=nullptr)
| Abstract base class for classes that contain SearchGroups To contain common code of SearchView and SearchGroup, as SearchGroups can have subgroups.

## Protected Member Functions
void | addGroupToLayout (SearchGroup *group) override
| Re-implement: Adds a newly created group to the layout structures.
SearchGroup * | createSearchGroup () override
| Re-implement: create and setup a search group.
Protected Member Functions inherited from Digikam::AbstractSearchGroupContainer
void | finishReadingGroups ()
| Call when the XML part is finished.
void | readGroup (SearchXmlCachingReader &reader)
| Call when a group element is the current element.
void | startReadingGroups (SearchXmlCachingReader &reader)
| Call before reading the XML part that could contain group elements.
QList< QRect > | startupAnimationAreaOfGroups () const
| Collects the data from the same method of all contained groups (position relative to this widget)
void | writeGroups (SearchXmlWriter &writer) const
| Write contained groups to writer.

## Protected Attributes
QList< SearchFieldGroup * > | m_fieldGroups
QList< SearchFieldGroupLabel * > | m_fieldLabels
Type | m_groupType = FirstGroup
SearchGroupLabel * | m_label = nullptr
QVBoxLayout * | m_layout = nullptr
QVBoxLayout * | m_subgroupLayout = nullptr
SearchView * | m_view = nullptr
Protected Attributes inherited from Digikam::AbstractSearchGroupContainer
int | m_groupIndex = 0
QList< SearchGroup * > | m_groups

## Additional Inherited Members
Public Slots inherited from Digikam::AbstractSearchGroupContainer
SearchGroup * | addSearchGroup ()
void | removeSearchGroup (SearchGroup *group)
Protected Slots inherited from Digikam::AbstractSearchGroupContainer
void | removeSendingSearchGroup ()

## Member Function Documentation

## ◆ addGroupToLayout()

void Digikam::SearchGroup::addGroupToLayout | ( | SearchGroup * | group | ) |
| overrideprotectedvirtual

Implements Digikam::AbstractSearchGroupContainer.

## ◆ createSearchGroup()

SearchGroup * Digikam::SearchGroup::createSearchGroup | ( |  | ) |
| overrideprotectedvirtual

Implements Digikam::AbstractSearchGroupContainer.